package com.ruoyi.programManagement.controller;

import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.utils.poi.ExcelUtil;
import com.ruoyi.programManagement.entity.BEnterpriseNew;
import com.ruoyi.programManagement.entity.request.BEnterpriseNewRequest;
import com.ruoyi.programManagement.entity.response.BEnterpriseNewReponse;
import com.ruoyi.programManagement.service.IBEnterpriseNewService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * 企业新表Controller
 *
 * @author ruoyi
 * @since 2023-12-12
 */
@Api(tags = "企业新表")
@RestController
@RequestMapping("/pharmaceuticals/new")
public class BEnterpriseNewController extends BaseController {
    @Resource
    private IBEnterpriseNewService bEnterpriseNewService;

    /**
     * 查询企业新表列表
     */
    @ApiOperation(value = "查询企业新表列表", response = BEnterpriseNewReponse.class)
    @GetMapping("/list")
    public TableDataInfo list(BEnterpriseNewRequest bEnterpriseNew) {
        startPage();
        List<BEnterpriseNewReponse> list = bEnterpriseNewService.selectBEnterpriseNewList(bEnterpriseNew);
        return getDataTable(list);
    }

    /**
     * 导出企业新表列表
     */
    @ApiOperation(value = "导出企业新表列表")
    @PostMapping("/export")
    public void export(HttpServletResponse response, BEnterpriseNewRequest bEnterpriseNew) {
        List<BEnterpriseNewReponse> list = bEnterpriseNewService.selectBEnterpriseNewList(bEnterpriseNew);
        ExcelUtil<BEnterpriseNewReponse> util = new ExcelUtil<BEnterpriseNewReponse>(BEnterpriseNewReponse.class);
        util.exportExcel(response, list, "企业新表数据");
    }

    /**
     * 获取企业新表详细信息
     */
    @ApiOperation(value = " 获取企业新表详细信息")
    @GetMapping(value = "/{id}")
    public AjaxResult getInfo(@PathVariable("id") Long id) {
        return success(bEnterpriseNewService.selectBEnterpriseNewById(id));
    }

    /**
     * 新增企业新表
     */
    @ApiOperation(value = " 新增企业新表")
    @PostMapping
    public AjaxResult add(@RequestBody BEnterpriseNew bEnterpriseNew) {
        return toAjax(bEnterpriseNewService.insertBEnterpriseNew(bEnterpriseNew));
    }

    /**
     * 修改企业新表
     */
    @ApiOperation(value = " 修改企业新表")
    @PutMapping
    public AjaxResult edit(@RequestBody BEnterpriseNew bEnterpriseNew) {
        return toAjax(bEnterpriseNewService.updateBEnterpriseNew(bEnterpriseNew));
    }

    /**
     * 删除企业新表
     */
    @ApiOperation(value = " 删除企业新表")
    @DeleteMapping("/{ids}")
    public AjaxResult remove(@PathVariable Long[] ids) {
        return toAjax(bEnterpriseNewService.deleteBEnterpriseNewByIds(ids));
    }

    /**
     * 企业新表企业不存在计划表list
     */
    @GetMapping("/getList")
    @ApiOperation("企业新表企业不存在计划表list")
    public TableDataInfo getList(BEnterpriseNewRequest bEnterpriseNew) {
        startPage();
        List<BEnterpriseNewReponse> list = bEnterpriseNewService.getList(bEnterpriseNew);
        return getDataTable(list);
    }
}
