package com.ruoyi.programManagement.entity.response;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 企业基本信息响应类
 */
@Data
@ApiModel("企业基本信息响应类")
public class SzEntBasicInfoPageResponse {


    private Date dmsTimestamp;

    /**
     * ID
     */
    private String ID;

    /**
     * 企业ID
     */
    @ApiModelProperty(value = "企业ID")
    @Excel(name = "企业ID")
    @TableId(type = IdType.AUTO)
    private String entprId;

    /**
     * 企业名称
     */
    @ApiModelProperty(value = "企业名称")
    @Excel(name = "企业名称")
    private String entprName;

    /**
     * 统一社会信用代码
     */
    @ApiModelProperty(value = "统一社会信用代码")
    @Excel(name = "统一社会信用代码")
    private String uscCode;

    /**
     * 行政区划
     */
    @ApiModelProperty(value = "行政区划")
    @Excel(name = "行政区划")
    private String REGION;

    /**
     * 所在省
     */
    @ApiModelProperty(value = "所在省")
    @Excel(name = "所在省")
    private String PROVINCE;

    /**
     * 所在市
     */
    @ApiModelProperty(value = "所在市")
    @Excel(name = "所在市")
    private String CITY;

    /**
     * 所在县（市、区）
     */
    @ApiModelProperty(value = "所在县（市、区）")
    @Excel(name = "所在县", readConverterExp = "市=、区")
    private String COUNTY;

    /**
     * 所在乡镇（街道）
     */
    @ApiModelProperty(value = "所在乡镇（街道）")
    @Excel(name = "所在乡镇", readConverterExp = "街=道")
    private String SUBDISTRICT;

    /**
     * 所在村（社区）
     */
    @ApiModelProperty(value = "所在村（社区）")
    @Excel(name = "所在村", readConverterExp = "社=区")
    private String VILLAGE;

    /**
     * 所在园区（开发区）
     */
    @ApiModelProperty(value = "所在园区（开发区）")
    @Excel(name = "所在园区", readConverterExp = "开=发区")
    private String PARK;

    /**
     * 注册地址
     */
    @ApiModelProperty(value = "注册地址")
    @Excel(name = "注册地址")
    private String regAddr;

    /**
     * 生产经营地址
     */
    @ApiModelProperty(value = "生产经营地址")
    @Excel(name = "生产经营地址")
    private String bizAddr;

    /**
     * 邮政编码
     */
    @ApiModelProperty(value = "邮政编码")
    @Excel(name = "邮政编码")
    private String POSTCODE;

    /**
     * 成立日期
     */
    @ApiModelProperty(value = "成立日期")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "成立日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date setupDate;

    /**
     * 法定代表人
     */
    @ApiModelProperty(value = "法定代表人")
    @Excel(name = "法定代表人")
    private String legalPerson;

    /**
     * 企业固定电话
     */
    @ApiModelProperty(value = "企业固定电话")
    @Excel(name = "企业固定电话")
    private String contactTel;

    /**
     * 电子邮箱
     */
    @ApiModelProperty(value = "电子邮箱")
    @Excel(name = "电子邮箱")
    private String contactEmail;

    /**
     * 联系QQ号码
     */
    @ApiModelProperty(value = "联系QQ号码")
    @Excel(name = "联系QQ号码")
    private String contactQq;

    /**
     * 官方网站地址
     */
    @ApiModelProperty(value = "官方网站地址")
    @Excel(name = "官方网站地址")
    private String WEBSITE;

    /**
     * 单位传真
     */
    @ApiModelProperty(value = "单位传真")
    @Excel(name = "单位传真")
    private String FAX;

    /**
     * 主要负责人
     */
    @ApiModelProperty(value = "主要负责人")
    @Excel(name = "主要负责人")
    private String BOSS;

    /**
     * 主要负责人固定电话
     */
    @ApiModelProperty(value = "主要负责人固定电话")
    @Excel(name = "主要负责人固定电话")
    private String bossTel;

    /**
     * 主要负责人移动电话
     */
    @ApiModelProperty(value = "主要负责人移动电话")
    @Excel(name = "主要负责人移动电话")
    private String bossMobtel;

    /**
     * 主要负责人电子邮箱
     */
    @ApiModelProperty(value = "主要负责人电子邮箱")
    @Excel(name = "主要负责人电子邮箱")
    private String bossEmail;

    /**
     * 安全负责人
     */
    @ApiModelProperty(value = "安全负责人")
    @Excel(name = "安全负责人")
    private String safetyManager;

    /**
     * 安全负责人固定电话
     */
    @ApiModelProperty(value = "安全负责人固定电话")
    @Excel(name = "安全负责人固定电话")
    private String safetyTel;

    /**
     * 安全负责人移动电话
     */
    @ApiModelProperty(value = "安全负责人移动电话")
    @Excel(name = "安全负责人移动电话")
    private String safetyMobtel;

    /**
     * 安全负责人电子邮箱
     */
    @ApiModelProperty(value = "安全负责人电子邮箱")
    @Excel(name = "安全负责人电子邮箱")
    private String safetyEmail;

    /**
     * 经济类型大类
     */
    @ApiModelProperty(value = "经济类型大类")
    @Excel(name = "经济类型大类")
    private String ecoTypeLarge;

    /**
     * 经济类型小类
     */
    @ApiModelProperty(value = "经济类型小类")
    @Excel(name = "经济类型小类")
    private String ecoTypeSmall;

    /**
     * 行业类别门类
     */
    @ApiModelProperty(value = "行业类别门类")
    @Excel(name = "行业类别门类")
    private String indusTypeClass;

    /**
     * 行业类别大类
     */
    @ApiModelProperty(value = "行业类别大类")
    @Excel(name = "行业类别大类")
    private String indusTypeLagre;

    /**
     * 行业类别中类
     */
    @ApiModelProperty(value = "行业类别中类")
    @Excel(name = "行业类别中类")
    private String indusTypeMiddle;

    /**
     * 行业类别小类
     */
    @ApiModelProperty(value = "行业类别小类")
    @Excel(name = "行业类别小类")
    private String indusTypeSmall;

    /**
     * 行业监管大类
     */
    @ApiModelProperty(value = "行业监管大类")
    @Excel(name = "行业监管大类")
    private String supervisionLarge;

    /**
     * 行业监管小类
     */
    @ApiModelProperty(value = "行业监管小类")
    @Excel(name = "行业监管小类")
    private String supervisionSmall;

    /**
     * 专项治理类别
     */
    @ApiModelProperty(value = "专项治理类别")
    @Excel(name = "专项治理类别")
    private String specialGovernance;

    /**
     * 是否为国有企业
     */
    @ApiModelProperty(value = "是否为国有企业")
    @Excel(name = "是否为国有企业")
    private String stateOwed;

    /**
     * 隶属关系
     */
    @ApiModelProperty(value = "隶属关系")
    @Excel(name = "隶属关系")
    private String AFFILIATION;

    /**
     * 经营范围
     */
    @ApiModelProperty(value = "经营范围")
    @Excel(name = "经营范围")
    private String businessScope;

    /**
     * 经营状态
     */
    @ApiModelProperty(value = "经营状态")
    @Excel(name = "经营状态")
    private String operatingStatus;

    /**
     * 注册资金（万元）
     */
    @ApiModelProperty(value = "注册资金（万元）")
    @Excel(name = "注册资金", readConverterExp = "万=元")
    private BigDecimal regCapi;

    /**
     * 占地面积（㎡）
     */
    @ApiModelProperty(value = "占地面积（㎡）")
    @Excel(name = "占地面积", readConverterExp = "㎡=")
    private BigDecimal floorArea;

    /**
     * 从业人员数量
     */
    @ApiModelProperty(value = "从业人员数量")
    @Excel(name = "从业人员数量")
    private Long employeeNum;

    /**
     * 特种作业人员数量
     */
    @ApiModelProperty(value = "特种作业人员数量")
    @Excel(name = "特种作业人员数量")
    private Long speclalOperationNum;

    /**
     * 专职安全生产管理人员数量
     */
    @ApiModelProperty(value = "专职安全生产管理人员数量")
    @Excel(name = "专职安全生产管理人员数量")
    private Long fullSafetyNum;

    /**
     * 兼职安全生产管理人员数量
     */
    @ApiModelProperty(value = "兼职安全生产管理人员数量")
    @Excel(name = "兼职安全生产管理人员数量")
    private Long partSafetyNum;

    /**
     * 专职应急管理人员数量
     */
    @ApiModelProperty(value = "专职应急管理人员数量")
    @Excel(name = "专职应急管理人员数量")
    private Long fullEmegNum;

    /**
     * 是否有专门安全机构
     */
    @ApiModelProperty(value = "是否有专门安全机构")
    @Excel(name = "是否有专门安全机构")
    private String safetyDepart;

    /**
     * 安全管理机构名称
     */
    @ApiModelProperty(value = "安全管理机构名称")
    @Excel(name = "安全管理机构名称")
    private String safetyDepartName;

    /**
     * 安全管理机构职责
     */
    @ApiModelProperty(value = "安全管理机构职责")
    @Excel(name = "安全管理机构职责")
    private String safetyDepartDuty;

    /**
     * 安全管理机构成员数量
     */
    @ApiModelProperty(value = "安全管理机构成员数量")
    @Excel(name = "安全管理机构成员数量")
    private Long safetyDepartNum;

    /**
     * 注册安全工程师人员数量
     */
    @ApiModelProperty(value = "注册安全工程师人员数量")
    @Excel(name = "注册安全工程师人员数量")
    private Long cseNum;

    /**
     * 是否有专职安全人员
     */
    @ApiModelProperty(value = "是否有专职安全人员")
    @Excel(name = "是否有专职安全人员")
    private String fullSafety;

    /**
     * 规模情况
     */
    @ApiModelProperty(value = "规模情况")
    @Excel(name = "规模情况")
    private String SCALE;

    /**
     * 母公司名称
     */
    @ApiModelProperty(value = "母公司名称")
    @Excel(name = "母公司名称")
    private String parentCompName;

    /**
     * 集团公司名称
     */
    @ApiModelProperty(value = "集团公司名称")
    @Excel(name = "集团公司名称")
    private String groupCompName;

    /**
     * 标准化等级
     */
    @ApiModelProperty(value = "标准化等级")
    @Excel(name = "标准化等级")
    private String standLevel;

    /**
     * 安全监管等级
     */
    @ApiModelProperty(value = "安全监管等级")
    @Excel(name = "安全监管等级")
    private String safetySupervisionLevel;

    /**
     * 属地安监机构
     */
    @ApiModelProperty(value = "属地安监机构")
    @Excel(name = "属地安监机构")
    private String localSafetyAdmin;

    /**
     * 是否存在重大危险源
     */
    @ApiModelProperty(value = "是否存在重大危险源")
    @Excel(name = "是否存在重大危险源")
    private String majorHazardInstallations;

    /**
     * 重大危险源等级
     */
    @ApiModelProperty(value = "重大危险源等级")
    @Excel(name = "重大危险源等级")
    private String majorHazardLevel;

    /**
     * 企业平面图
     */
    @ApiModelProperty(value = "企业平面图")
    @Excel(name = "企业平面图")
    private String entprPlaneGragh;

    /**
     * 经度（度） 84
     */
    @ApiModelProperty(value = "经度（度） 84")
    @Excel(name = "经度", readConverterExp = "度=")
    private BigDecimal longitudeGps;

    /**
     * 纬度（度）  84
     */
    @ApiModelProperty(value = "纬度（度）  84")
    @Excel(name = "纬度", readConverterExp = "度=")
    private BigDecimal latitudeGps;

    /**
     * 经度（度）
     */
    @ApiModelProperty(value = "经度（度）")
    @Excel(name = "经度", readConverterExp = "度=")
    private BigDecimal LONGITUDE;

    /**
     * 纬度（度）
     */
    @ApiModelProperty(value = "纬度（度）")
    @Excel(name = "纬度", readConverterExp = "度=")
    private BigDecimal LATITUDE;

    /**
     * 备注
     */
    @Excel(name = "备注")
    private String entprNotes;

    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    @Excel(name = "创建人")
    private String CREATER;

    /**
     * 修改人
     */
    @ApiModelProperty(value = "修改人")
    @Excel(name = "修改人")
    private String UPDATER;

    /**
     * 主要产品
     */
    @ApiModelProperty(value = "主要产品")
    @Excel(name = "主要产品")
    private String mainProduct;

    /**
     * 工贸涉及(专项治理类别)
     */
    @ApiModelProperty(value = "工贸涉及(专项治理类别)")
    @Excel(name = "工贸涉及(专项治理类别)")
    private String industryRefer;

    /**
     * 网格编码
     */
    @ApiModelProperty(value = "网格编码")
    @Excel(name = "网格编码")
    private String gridCode;

    /**
     * 网格对企业的关停和恢复
     */
    @ApiModelProperty(value = "网格对企业的关停和恢复")
    @Excel(name = "网格对企业的关停和恢复")
    private String gridEntprStatus;

    /**
     * 数据年份
     */
    @ApiModelProperty(value = "数据年份")
    @Excel(name = "数据年份")
    private String infoYear;

    /**
     * 是否开展双重预防机制
     */
    @ApiModelProperty(value = "是否开展双重预防机制")
    @Excel(name = "是否开展双重预防机制")
    private String doublePreven;

    /**
     * 企业分色图
     */
    @ApiModelProperty(value = "企业分色图")
    @Excel(name = "企业分色图")
    private String enterColorChart;

    /**
     * 企业分色
     */
    @ApiModelProperty(value = "企业分色")
    @Excel(name = "企业分色")
    private String ENTPRCOLOR;

    /**
     * 是否购买安责险字段
     */
    @ApiModelProperty(value = "是否购买安责险字段")
    @Excel(name = "是否购买安责险字段")
    private String ISBUYSAFETYINSURANCE;

    /**
     * 企业产值（营业额-万元）
     */
    @ApiModelProperty(value = "企业产值（营业额-万元）")
    @Excel(name = "企业产值", readConverterExp = "营=业额-万元")
    private BigDecimal TURNOVER;

    /**
     * 数据来源
     */
    @ApiModelProperty(value = "数据来源")
    @Excel(name = "数据来源")
    private String sourceData;




    /**
     * 是否重点企业1：是 2：否
     */
    @ApiModelProperty(value = "是否重点企业1：是 2：否")
    @Excel(name = "是否重点企业1：是 2：否")
    private String isPoint;

}
