package com.ruoyi.programManagement.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.ruoyi.programManagement.entity.BKeyEnterprise;
import com.ruoyi.programManagement.entity.request.BKeyEnterprisePageRequest;
import com.ruoyi.programManagement.mapper.BKeyEnterpriseMapper;
import com.ruoyi.programManagement.service.BKeyEnterpriseService;
import com.ruoyi.programManagement.service.ISzEntBasicInfoService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * 省重点企业表(BKeyEnterprise)表服务实现类
 *
 * @author wu
 * @since 2023-09-07 09:43:06
 */
@Service("bKeyEnterpriseService")
public class BKeyEnterpriseServiceImpl extends ServiceImpl<BKeyEnterpriseMapper, BKeyEnterprise> implements BKeyEnterpriseService {
    @Resource
    private BKeyEnterpriseMapper bKeyEnterpriseMapper;

    @Resource
    private ISzEntBasicInfoService iSzEntBasicInfoService;


    @Override
    public String importUser(List<BKeyEnterprise> bKeyEnterpriseList) {
        StringBuilder successMsg = new StringBuilder();
//        List<BKeyEnterpriseExportResponse> list =new ArrayList<>();
//        Integer faile=0;
//        Integer success=0;
        if (!bKeyEnterpriseList.isEmpty()) {
            for (BKeyEnterprise bKeyEnterprise : bKeyEnterpriseList) {
//                //根据企业信用代码，年份查询是否存在
//                List<BKeyEnterprise> count = bKeyEnterpriseMapper.select(bKeyEnterprise);
//                if (!count.isEmpty()){
//                    faile=faile+1;
//                    list.add()
//                }else{
//
//                }
                baseMapper.bKeyEnterpriseAdd(bKeyEnterprise);
            }
            successMsg.append("导入成功");
        }

        return successMsg.toString();
    }

    @Override
    public Map<String, Object> page(BKeyEnterprisePageRequest req) {
        PageHelper.startPage(req.getPageNum(), req.getPageSize());
        List<BKeyEnterprise> szEntBasicInfos = bKeyEnterpriseMapper.page(req);
        PageInfo<BKeyEnterprise> pageInfo = new PageInfo<>(szEntBasicInfos);
        Map<String, Object> result = new HashMap<>();
        result.put("total", pageInfo.getTotal());
        result.put("list", pageInfo.getList());
        return result;
    }

    @Override
    public BKeyEnterprise getByentCode(String entCode) {
        return bKeyEnterpriseMapper.getByentCode(entCode);
    }
//
//    @Override
//    public Integer getBydistrict(String district) {
//        return bKeyEnterpriseMapper.getBydistrict(district);
//    }


}

