package com.ruoyi.programManagement.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.common.utils.SecurityUtils;
import com.ruoyi.programManagement.entity.BPlanEnterprise;
import com.ruoyi.programManagement.entity.request.*;
import com.ruoyi.programManagement.entity.response.*;
import com.ruoyi.programManagement.mapper.BPlanEnterpriseMapper;
import com.ruoyi.programManagement.service.BPlanEnterpriseService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * 计划企业表(BPlanEnterprise)表服务实现类
 *
 * @author wu
 * @since 2023-09-07 09:43:07
 */
@Service("bPlanEnterpriseService")
public class BPlanEnterpriseServiceImpl extends ServiceImpl<BPlanEnterpriseMapper, BPlanEnterprise> implements BPlanEnterpriseService {
    @Resource
    private BPlanEnterpriseMapper bPlanEnterpriseMapper;

    @Override
    public void deleteByPlanId(Long planId) {
        bPlanEnterpriseMapper.deleteByPlanId(planId);
    }


    /**
     * 查询计划企业列表
     *
     * @param bPlanEnterprise 计划企业
     * @return 计划企业
     */
    @Override
    public List<BPlanEnterpriseResponse> selectBPlanEnterpriseList(BPlanEnterprise bPlanEnterprise) {

        return bPlanEnterpriseMapper.selectBPlanEnterpriseList(bPlanEnterprise);
    }

    @Override
    public List<BPlanEnterpriseZhifaResponse> getZhifa(checkResultRequest req) {
        return bPlanEnterpriseMapper.getZhifa(req);
    }

    @Override
    public List<BPlanEnterprise> page(BPlanEnterprisePageRequest req) {
        return bPlanEnterpriseMapper.page(req);
    }

    @Override
    public Map<String, Object> getzhifacount(zhifaRequest req) {
        List<zhifaCountResponse> getZhifa = bPlanEnterpriseMapper.getzhifacount(req);
        PageHelper.startPage(req.getPageNum(), req.getPageSize());
        PageInfo<zhifaCountResponse> pageInfo = new PageInfo<>(getZhifa);
        Map<String, Object> result = new HashMap<>();
        result.put("total", pageInfo.getTotal());
        result.put("list", pageInfo.getList());
        return result;


    }


    @Override
    public List<zhifaPlanResponse> getplan() {
        return bPlanEnterpriseMapper.getplan();
    }

    @Override
    public Map<String, Object> getPlanMx(PlanMxRequest req) {
        PageHelper.startPage(req.getPageNum(), req.getPageSize());
        List<PlanMxResponse> getPlanMx = bPlanEnterpriseMapper.getPlanMx(req);
        PageInfo<PlanMxResponse> pageInfo = new PageInfo<>(getPlanMx);
        Map<String, Object> result = new HashMap<>();
        result.put("total", pageInfo.getTotal());
        result.put("list", pageInfo.getList());
        return result;
    }

    @Override
    public BPlanEnterprise selectById(String id) {
        return bPlanEnterpriseMapper.selectById(id);
    }

    @Override
    public List<BPlanEnterPriseTreeResponse> getShouyeList(BPlanEnterprisePageRequest req) {
        List<BPlanEnterPriseTreeResponse> list = null;
        if (req.getLawAreas() != null) {
            list=bPlanEnterpriseMapper.getShouYeMxList(req);
        } else {
            list = bPlanEnterpriseMapper.getShouyeList(req);
        }
        return list;
    }

    @Override
    public void updateIdList(List<String>  idList) {
        bPlanEnterpriseMapper.updateIdList(idList);
    }

    @Override
    public void insert(BPlanEnterpriseRequest bPlanEnterprise) {
        bPlanEnterprise.setCreateTime(DateUtils.getNowDate());
        bPlanEnterpriseMapper.insertPlan(bPlanEnterprise);
    }

    @Override
    public void updatePlan(BPlanEnterpriseRequest bPlanEnterprise) {
        bPlanEnterprise.setUpdateTime(DateUtils.getNowDate());
        bPlanEnterpriseMapper.updatePlan(bPlanEnterprise);
    }

    @Override
    public List<BPlanEnterprise> selectUpdateAll() {
        return bPlanEnterpriseMapper.selectUpdateAll();
    }


}

