package com.ruoyi.programManagement.service.impl;

import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.Objects;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.ruoyi.programManagement.entity.SzEntBasicInfo;
import com.ruoyi.programManagement.entity.request.SzEntBasicInfoPageRequest;
import com.ruoyi.programManagement.entity.response.SzEntBasicInfoPageResponse;
import com.ruoyi.programManagement.mapper.SzEntBasicInfoMapper;
import com.ruoyi.programManagement.service.ISzEntBasicInfoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;


/**
 * 企业基本信息Service业务层处理
 *
 * @author ruoyi
 * @date 2023-09-09
 */
@Service
public class SzEntBasicInfoServiceImpl implements ISzEntBasicInfoService
{
    @Autowired
    private SzEntBasicInfoMapper szEntBasicInfoMapper;

    /**
     * 查询企业基本信息
     *
     * @param ID 企业基本信息主键
     * @return 企业基本信息
     */
    @Override
    public SzEntBasicInfo selectSzEntBasicInfoByID(String ID)
    {
        return szEntBasicInfoMapper.selectSzEntBasicInfoByID(ID);
    }

    /**
     * 查询企业基本信息列表
     *
     * @param szEntBasicInfo 企业基本信息
     * @return 企业基本信息
     */
    @Override
    public List<SzEntBasicInfo> selectSzEntBasicInfoList(SzEntBasicInfo szEntBasicInfo)
    {
        return szEntBasicInfoMapper.selectSzEntBasicInfoList(szEntBasicInfo);
    }

    /**
     * 新增企业基本信息
     *
     * @param szEntBasicInfo 企业基本信息
     * @return 结果
     */
    @Override
    public int insertSzEntBasicInfo(SzEntBasicInfo szEntBasicInfo)
    {
        return szEntBasicInfoMapper.insertSzEntBasicInfo(szEntBasicInfo);
    }

    /**
     * 修改企业基本信息
     *
     * @param szEntBasicInfo 企业基本信息
     * @return 结果
     */
    @Override
    public int updateSzEntBasicInfo(SzEntBasicInfo szEntBasicInfo)
    {
        return szEntBasicInfoMapper.updateSzEntBasicInfo(szEntBasicInfo);
    }

    /**
     * 批量删除企业基本信息
     *
     * @param IDs 需要删除的企业基本信息主键
     * @return 结果
     */
    @Override
    public int deleteSzEntBasicInfoByIDs(String[] IDs)
    {
        return szEntBasicInfoMapper.deleteSzEntBasicInfoByIDs(IDs);
    }

    /**
     * 删除企业基本信息信息
     *
     * @param ID 企业基本信息主键
     * @return 结果
     */
    @Override
    public int deleteSzEntBasicInfoByID(String ID)
    {
        return szEntBasicInfoMapper.deleteSzEntBasicInfoByID(ID);
    }

    @Override
    public Map<String, Object> page(SzEntBasicInfoPageRequest req) {
        PageHelper.startPage(req.getPageNum(),req.getPageSize());
        List<SzEntBasicInfo> szEntBasicInfos = szEntBasicInfoMapper.page(req);
        PageInfo<SzEntBasicInfo> pageInfo = new PageInfo<>(szEntBasicInfos);
        Map<String, Object> result =new HashMap<>();
        result.put("total",pageInfo.getTotal());
        result.put("list",pageInfo.getList());
        return result;
    }

    @Override
    public String getDistrict(String entCode) {
        return szEntBasicInfoMapper.getDistrict(entCode);
    }


}
