package com.ruoyi.programManagement.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

import com.ruoyi.programManagement.entity.GeoLayer;
import com.ruoyi.programManagement.entity.vo.UserVO;
import com.ruoyi.programManagement.mapper.GeoLayerMapper;
import com.ruoyi.programManagement.service.IUserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpEntity;
import org.springframework.http.HttpHeaders;
import org.springframework.http.MediaType;
import org.springframework.http.ResponseEntity;
import org.springframework.stereotype.Service;
import org.springframework.util.LinkedMultiValueMap;
import org.springframework.util.MultiValueMap;
import org.springframework.web.client.RestTemplate;

import java.util.LinkedHashMap;

/**
 * @Project: emergency-management2
 * @Package: com.geowisdom.emergencymanagement.business.service.impl
 * @ClassName: UserServiceImpl
 * @Description: TODO
 * @Author: Jason<genyong.yang @ gmail.com>
 * @Date: 2021/7/18 12:35
 * @Version: V1.0
 */
@Service
public class UserServiceImpl extends ServiceImpl<GeoLayerMapper, GeoLayer> implements IUserService {



    @Override
    public Object getUserByCode(String code) {
        RestTemplate restTemplate = new RestTemplate();
        // 先请求accessToken
        String accessTokenUrl = "http://2.46.4.197:8090/sso-server/oauth2/accessToken";
        HttpHeaders headers = new HttpHeaders();
        headers.setContentType(MediaType.MULTIPART_FORM_DATA);
        MultiValueMap map = new LinkedMultiValueMap();
        map.add("code",code);
        map.add("aid", "17847210");
        map.add("sk", "m1r4tyiv7aq4wzoux24q0ak6dl8f15du");
        map.add("grant_type", "authorization_code");

        HttpEntity requestBody = new HttpEntity(map, headers);

        ResponseEntity<UserVO> responseEntity = restTemplate.postForEntity(accessTokenUrl, requestBody, UserVO.class);
        UserVO userVO = responseEntity.getBody();
        LinkedHashMap data = (LinkedHashMap)userVO.getData();
        // 获取accessToken
        String accessToken=data.get("accessToken").toString();
        // 获取用户
        String userUrl = "http://2.46.4.197:8090/sso-server/oauth2/getUser";
        headers = new HttpHeaders();
        headers.setContentType(MediaType.MULTIPART_FORM_DATA);
        map = new LinkedMultiValueMap();
        map.add("accessToken",accessToken);
        requestBody = new HttpEntity(map, headers);

        responseEntity = restTemplate.postForEntity(userUrl, requestBody, UserVO.class);
        userVO = responseEntity.getBody();
        Object user = userVO.getData();
        return user;
    }
}